ServerEvents.recipes(event => {
    event.remove({ id: 'voidminers:rubetine' })
    event.remove({ id: 'voidminers:solar_rubetine' })
    event.remove({ id: 'voidminers:overworld/tier6_miner/amethystine' })
    event.remove({ id: 'voidminers:overworld/tier1_miner/rubetine' })
    event.remove({ id: 'voidminers:overworld/tier1_miner/aurantium' })
    event.remove({ id: 'voidminers:overworld/tier4_miner/azurine' })
    event.remove({ id: 'voidminers:overworld/tier7_miner/rosarium' })
    event.remove({ id: 'voidminers:overworld/tier2_miner/citrinetine' })
    event.remove({ id: 'voidminers:overworld/tier3_miner/verdium' })
    event.remove({ id: 'voidminers:overworld/tier5_miner/caerium' })
    event.remove({ id: 'voidminers:the_nether/tier6_miner/amethystine' })
    event.remove({ id: 'voidminers:the_nether/tier5_miner/caerium' })
    event.remove({ id: 'voidminers:the_nether/tier3_miner/verdium' })
    event.remove({ id: 'voidminers:the_nether/tier7_miner/rosarium' })
    event.remove({ id: 'voidminers:the_nether/tier4_miner/azurine' })
    event.remove({ id: 'voidminers:the_nether/tier2_miner/citrinetine' })
    event.remove({ id: 'voidminers:the_nether/tier1_miner/rubetine' })
    event.remove({ id: 'voidminers:the_nether/tier1_miner/aurantium' })
    event.shaped(
        Item.of('voidminers:solar_rubetine',4),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'voidminers:rubetine',
            B: 'minecraft:glowstone_dust',
            C: 'minecraft:redstone'
        }
    )
})